org.apache.storm.eventhubs.trident

## Class TransactionalTridentEventHubSpout

- java.lang.Object
- - org.apache.storm.eventhubs.trident.TransactionalTridentEventHubSpout

- All Implemented Interfaces:
    Serializable, IPartitionedTridentSpout<Partitions,Partition,Map<String,Object>>, ITridentDataSource

      public class TransactionalTridentEventHubSpout
      extends Object
      implements IPartitionedTridentSpout<Partitions,Partition,Map<String,Object>>

  Transactional Trident EventHub Spout.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.storm.trident.spout.IPartitionedTridentSpout

      `IPartitionedTridentSpout.Coordinator<PartitionsT>, IPartitionedTridentSpout.Emitter<PartitionsT,PartitionT extends ISpoutPartition,X>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionalTridentEventHubSpout(EventHubSpoutConfig config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `getComponentConfiguration()`
    `IPartitionedTridentSpout.Coordinator<Partitions>` | `getCoordinator(Map<String,Object> conf, TopologyContext context)`
    `IPartitionedTridentSpout.Emitter<Partitions,Partition,Map<String,Object>>` | `getEmitter(Map<String,Object> conf, TopologyContext context)`
    `Fields` | `getOutputFields()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionalTridentEventHubSpout

          public TransactionalTridentEventHubSpout(EventHubSpoutConfig config)

  - ### Method Detail

    - #### getComponentConfiguration

          public Map<String,Object> getComponentConfiguration()

      Specified by:
        `getComponentConfiguration` in interface `IPartitionedTridentSpout<Partitions,Partition,Map<String,Object>>`

    - #### getCoordinator

          public IPartitionedTridentSpout.Coordinator<Partitions> getCoordinator(Map<String,Object> conf,
                                                                                 TopologyContext context)

      Specified by:
        `getCoordinator` in interface `IPartitionedTridentSpout<Partitions,Partition,Map<String,Object>>`

    - #### getEmitter

          public IPartitionedTridentSpout.Emitter<Partitions,Partition,Map<String,Object>> getEmitter(Map<String,Object> conf,
                                                                                                      TopologyContext context)

      Specified by:
        `getEmitter` in interface `IPartitionedTridentSpout<Partitions,Partition,Map<String,Object>>`

    - #### getOutputFields

          public Fields getOutputFields()

      Specified by:
        `getOutputFields` in interface `IPartitionedTridentSpout<Partitions,Partition,Map<String,Object>>`

Copyright © 2021 The Apache Software Foundation. All rights reserved.